Bug 1570197 - [RFE] When floating ip is deleted from instance, gnocchi only has UUID of floating ip so IP address of floating IP can no longer found.
Summary: [RFE] When floating ip is deleted from instance, gnocchi only has UUID of flo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: gnocchi
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: ---
Assignee: Pradeep Kilambi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 21:35 UTC by Stan Toporek
Modified: 2020-10-26 14:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-25 14:30:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stan Toporek 2018-04-20 21:35:22 UTC
Description of problem:

When a floating ip address is deleted from the instance the entry is removed from the nova database. Gnocchi only stores the UUID of the floating ip. So the IP address can not longer be looked up via the UUID because floating ip entry has been deleted from the nova database. Can we add the IP address of the floating ip in the gnocchi/ceilometer database. So on deletion in the nova database, the IP address of the floating ip is not lost.

Version-Release number of selected component (if applicable):


How reproducible:
When floating ip is deleted from an instance

Steps to Reproduce:
1.gnocchi resource show --type network <UUID>
2.Can see floating ip UUID
3.Delete floating ip from instance
4.Cannot find IP address of that floating ip

Actual results:
gnocchi resource show --type network 09c8ad65-6022-4e76-9356-7fba70bf9dbe
+-----------------------+----------------------------------------------------------+
| Field                 | Value                                                    |
+-----------------------+----------------------------------------------------------+
| created_by_project_id | 9857425c0d684004a9eaf1f19eb9c95d                         |
| created_by_user_id    | 4bd1241b70cc4ae6a12413a8aac7e35c                         |
| ended_at              | None                                                     |
| id                    | 09c8ad65-6022-4e76-9356-7fba70bf9dbe                     |
| metrics               | bandwidth: 3be0c23d-8135-4d71-a297-a579546f4cf0          |
|                       | ip.floating.create: 0c2e3c25-aa8a-4488-af61-8121b01766e1 |
|                       | ip.floating.update: 52de269e-c151-4cf9-b9a8-55e15c6ff69c |
|                       | ip.floating: d8201749-3123-459e-a978-7ea232a5010f        |
|                       | network.create: da52dc44-a709-41d2-9cfb-540d28ad09d4     |
|                       | network.update: a2241c7f-987e-4d21-b190-14b0df50303f     |
|                       | network: 7493ce9d-343c-4560-b2a4-5a544a1952a3            |
|                       | port.create: 30d7c4c2-f32a-402a-9f26-351d9a46836d        |
|                       | port.update: 7acf1163-fa5a-4dc4-bdfe-ddda009c464e        |
|                       | port: 98ac5217-5aa8-424c-9af9-5dca003b3bf2               |
|                       | router.create: 6be0994e-8cac-4932-a995-cf5b511b5a82      |
|                       | router.update: 7fe50303-38ae-4e99-bb1d-fd032c0f37a6      |
|                       | router: 4a2a8403-0981-4617-a2a1-3955b7f44fd8             |
|                       | subnet.create: 928209af-fbb5-4e8d-94ac-7fa502f8eb02      |
|                       | subnet.update: 70d99756-d804-49d5-be44-7654998ac5b7      |
|                       | subnet: c8fee00c-dea9-465c-874d-b226b8014e78             |
| original_resource_id  | 09c8ad65-6022-4e76-9356-7fba70bf9dbe                     |
| project_id            | e3f89e23831543ffb6c3b02180f8a42f                         |
| revision_end          | None                                                     |
| revision_start        | 2018-04-11T17:31:17.051422+00:00                         |
| started_at            | 2018-04-11T17:31:17.051408+00:00                         |
| type                  | network                                                  |
| user_id               | None                                                     |
+-----------------------+----------------------------------------------------------+
openstack floating ip show <UUID of floating ip>

returns nothing

Expected results:
openstack metric measures show <UUID of floating ip>
returns IP address of floating ip

Additional info:


Note You need to log in before you can comment on or make changes to this bug.